Subject: Re: git-status and git-diff now very slow in project with a submodule

From: Michael J Gruber <[email-masked]>
Date: Thu, 20 May 2010 17:52:45 +0200

Andy Parkins venit, vidit, dixit 20.05.2010 13:37:
> Stefan Naewe wrote:
> 
>>> circumstances it is exactly right; however, I'd like to be able to turn
>>> off dirty
>>> detection in submodules.  Is this already possible, and I've just missed
>>> the configuration option?
>>
>> Maybe:
>>
>>    git config status.submodulesummary false
> 
> Hey! Thanks for the reply. Exactly the right option... except it doesn't work :-(
> 
> $ git --version
> git version 1.7.1
> $ git config status.submodulesummary
> false
> $ git status -uno
> # On branch master
> # Changed but not updated:
> #   (use "git add <file>..." to update what will be committed)
> #   (use "git checkout -- <file>..." to discard changes in working directory)
> #   (commit or discard the untracked or modified content in submodules)
> #
> #       modified:   ffmpeg (modified content)
> #
> no changes added to commit (use "git add" and/or "git commit -a")

You see: No submodule summary here!
Try setting the variable to true and see the difference. False is the
default.

Git needs to check the submodule in order to produce the "modified" line
even when no summary is required. Stopping Git from looking at the
submodule at all is impossible, I think. One could only hope that it
stops scanning after the first modification.

Michael